| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Typedefs | Enumerations | Functions
firewall_rules.h File Reference

Go to the source code of this file.

## Typedefs
typedef void(* | syntax_func) (GString *rtxt, char *addr, uint32_t port, port_type ptype, bool inbound, bool deny)

## Enumerations
enum | rule_type_e { RT_NONE , RT_MAC_SRC , RT_MAC_DST , RT_IPv4_SRC , RT_IPv4_DST , RT_PORT_SRC , RT_PORT_DST , RT_IPv4_PORT_SRC , RT_IPv4_PORT_DST , NUM_RULE_TYPES }

## Functions
size_t | firewall_product_count (void)
const char * | firewall_product_name (size_t product_idx)
const char * | firewall_product_rule_hint (size_t product_idx)
const char * | firewall_product_comment_prefix (size_t product_idx)
syntax_func | firewall_product_mac_func (size_t product_idx)
syntax_func | firewall_product_ipv4_func (size_t product_idx)
syntax_func | firewall_product_port_func (size_t product_idx)
syntax_func | firewall_product_ipv4_port_func (size_t product_idx)
bool | firewall_product_does_inbound (size_t product_idx)

## Detailed Description

Produce ACL rules for various products from a packet.

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 2006 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ firewall_product_comment_prefix()

const char * firewall_product_comment_prefix | ( | size_t | product_idx | ) |

Comment prefix

Parameters

  product_idx | Product index.

Returns
  The comment prefix, e.g. "#" or an empty string.

## ◆ firewall_product_count()

size_t firewall_product_count | ( | void |  | ) |

Fetch the number of firewall products.

Returns
  The number of firewall products. Should be used as the index for the rest of the functions below.

## ◆ firewall_product_does_inbound()

bool firewall_product_does_inbound | ( | size_t | product_idx | ) |

Product inbound support Given an index, return the product's ability to support inbound rules.

Parameters

  product_idx | Product index.

Returns
  true or false.

## ◆ firewall_product_ipv4_func()

syntax_func firewall_product_ipv4_func | ( | size_t | product_idx | ) |

IPv4 filter function

Parameters

  product_idx | Product index.

Returns
  A pointer to the IPv4 filter function or NULL.

## ◆ firewall_product_ipv4_port_func()

syntax_func firewall_product_ipv4_port_func | ( | size_t | product_idx | ) |

IPv4+port filter function

Parameters

  product_idx | Product index.

Returns
  A pointer to the IPv4+port filter function or NULL.

## ◆ firewall_product_mac_func()

syntax_func firewall_product_mac_func | ( | size_t | product_idx | ) |

MAC filter function

Parameters

  product_idx | Product index.

Returns
  A pointer to the MAC filter function or NULL.

## ◆ firewall_product_name()

const char * firewall_product_name | ( | size_t | product_idx | ) |

Product name Given an index, return the product name.

Parameters

  product_idx | Product index.

Returns
  Product name or "Unknown".

## ◆ firewall_product_port_func()

syntax_func firewall_product_port_func | ( | size_t | product_idx | ) |

Port filter function

Parameters

  product_idx | Product index.

Returns
  A pointer to the port filter function or NULL.

## ◆ firewall_product_rule_hint()

const char * firewall_product_rule_hint | ( | size_t | product_idx | ) |

Product rule hint Given an index, return the product's rule hint.

Parameters

  product_idx | Product index.

Returns
  Product rule hint, e.g. "Change le0 to a valid interface." or "".